## ebtables 2.0.6

=== Makefile ===
# ebtables Makefile

PROGNAME:=ebtables
PROGVERSION:=2.0.6
PROGDATE:=November\ 2003

MANDIR?=/usr/local/man
CFLAGS:=-Wall -Wunused
CC:=gcc

ifeq ($(shell uname -m),sparc64)
CFLAGS+=-DEBT_MIN_ALIGN=8 -DKERNEL_64_USERSPACE_32
endif

include extensions/Makefile

OBJECTS:=getethertype.o ebtables.o communication.o $(EXT_OBJS)

KERNEL_INCLUDES?=include/

ETHERTYPESPATH?=/etc
ETHERTYPESFILE:=$(ETHERTYPESPATH)/ethertypes

BINPATH?=/sbin/
BINFILE:=$(BINPATH)ebtables

PROGSPECS:=-DPROGVERSION=\"$(PROGVERSION)\" \
	-DPROGNAME=\"$(PROGNAME)\" \
	-DPROGDATE=\"$(PROGDATE)\" \
	-D_PATH_ETHERTYPES=\"$(ETHERTYPESFILE)\"


all: ebtables

communication.o: communication.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

getethertype.o: getethertype.c include/ethernetdb.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -Iinclude/

ebtables.o: ebtables.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

ebtables: $(OBJECTS)
	$(CC) $(CFLAGS) -o $@ $^ -I$(KERNEL_INCLUDES)

$(MANDIR)/man8/ebtables.8: ebtables.8
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

$(ETHERTYPESFILE): ethertypes
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

.PHONY: exec
exec: ebtables
	install -m 0755 -o root -g root $< $(BINFILE)

.PHONY: install
install: $(MANDIR)/man8/ebtables.8 $(ETHERTYPESFILE) exec

.PHONY: clean
clean:
	rm -f ebtables
	rm -f *.o *.c~
	rm -f extensions/*.o extensions/*.c~

DIR:=$(PROGNAME)-v$(PROGVERSION)
# This is used to make a new userspace release
.PHONY: release
release:
	mkdir -p include/linux/netfilter_bridge
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge.h include/linux/
# To keep possible compile error complaints about undefined ETH_P_8021Q
# off my back
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/if_ether.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge/*.h \
		include/linux/netfilter_bridge/
	install -m 0644 -o root -g root \
		include/ebtables.h include/linux/netfilter_bridge/
	make clean
	touch *
	touch extensions/*
	touch include/*
	touch include/linux/*
	touch include/linux/netfilter_bridge/*
	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz

## ebtables 2.0.8.1

=== Makefile ===
# ebtables Makefile

PROGNAME:=ebtables
PROGRELEASE:=1
PROGVERSION_:=2.0.8
PROGVERSION:=$(PROGVERSION_)-$(PROGRELEASE)
PROGDATE:=May\ 2007

# default paths
LIBDIR:=/usr/lib
MANDIR:=/usr/local/man
BINDIR:=/usr/local/sbin
ETCDIR:=/etc
INITDIR:=/etc/rc.d/init.d
SYSCONFIGDIR:=/etc/sysconfig
DESTDIR:=

# include DESTDIR param
override LIBDIR:=$(DESTDIR)$(LIBDIR)/$(PROGNAME)
override MANDIR:=$(DESTDIR)$(MANDIR)
override BINDIR:=$(DESTDIR)$(BINDIR)
override ETCDIR:=$(DESTDIR)$(ETCDIR)
override INITDIR:=$(DESTDIR)$(INITDIR)
override SYSCONFIGDIR:=$(DESTDIR)$(SYSCONFIGDIR)


CFLAGS:=-Wall -Wunused
CFLAGS_SH_LIB:=-fPIC
CC:=gcc
LD:=ld

ifeq ($(shell uname -m),sparc64)
CFLAGS+=-DEBT_MIN_ALIGN=8 -DKERNEL_64_USERSPACE_32
endif

include extensions/Makefile

OBJECTS2:=getethertype.o communication.o libebtc.o \
useful_functions.o ebtables.o

OBJECTS:=$(OBJECTS2) $(EXT_OBJS) $(EXT_LIBS)

KERNEL_INCLUDES?=include/

ETHERTYPESPATH?=$(ETCDIR)
ETHERTYPESFILE:=$(ETHERTYPESPATH)/ethertypes

PIPE_DIR?=$(DESTDIR)/tmp/$(PROGNAME)-v$(PROGVERSION)
PIPE=$(PIPE_DIR)/ebtablesd_pipe
EBTD_CMDLINE_MAXLN?=2048
EBTD_ARGC_MAX?=50

PROGSPECS:=-DPROGVERSION=\"$(PROGVERSION)\" \
	-DPROGNAME=\"$(PROGNAME)\" \
	-DPROGDATE=\"$(PROGDATE)\" \
	-D_PATH_ETHERTYPES=\"$(ETHERTYPESFILE)\" \
	-DEBTD_ARGC_MAX=$(EBTD_ARGC_MAX) \
	-DEBTD_CMDLINE_MAXLN=$(EBTD_CMDLINE_MAXLN)

# You can probably ignore this, ebtables{u,d} are normally not used
PROGSPECSD:=-DPROGVERSION=\"$(PROGVERSION)\" \
	-DPROGNAME=\"$(PROGNAME)\" \
	-DPROGDATE=\"$(PROGDATE)\" \
	-D_PATH_ETHERTYPES=\"$(ETHERTYPESFILE)\" \
	-DEBTD_CMDLINE_MAXLN=$(EBTD_CMDLINE_MAXLN) \
	-DEBTD_ARGC_MAX=$(EBTD_ARGC_MAX) \
	-DEBTD_PIPE=\"$(PIPE)\" \
	-DEBTD_PIPE_DIR=\"$(PIPE_DIR)\"

# Uncomment for debugging (slower)
#PROGSPECS+=-DEBT_DEBUG
#PROGSPECSD+=-DEBT_DEBUG
#CFLAGS+=-ggdb

all: ebtables ebtables-restore

communication.o: communication.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

libebtc.o: libebtc.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

useful_functions.o: useful_functions.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

getethertype.o: getethertype.c include/ethernetdb.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -Iinclude/

ebtables.o: ebtables.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

ebtables-standalone.o: ebtables-standalone.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c $< -o $@ -I$(KERNEL_INCLUDES)

.PHONY: libebtc
libebtc: $(OBJECTS2)
	$(LD) -shared -soname libebtc.so -o libebtc.so -lc $(OBJECTS2)

ebtables: $(OBJECTS) ebtables-standalone.o libebtc
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) -o $@ ebtables-standalone.o -I$(KERNEL_INCLUDES) -L. -Lextensions -lebtc $(EXT_LIBSI) \
	-Wl,-rpath,$(LIBDIR)

ebtablesu: ebtablesu.c
	$(CC) $(CFLAGS) $(PROGSPECSD) $< -o $@

ebtablesd.o: ebtablesd.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECSD) -c $< -o $@  -I$(KERNEL_INCLUDES)

ebtablesd: $(OBJECTS) ebtablesd.o libebtc
	$(CC) $(CFLAGS) -o $@ ebtablesd.o -I$(KERNEL_INCLUDES) -L. -Lextensions -lebtc $(EXT_LIBSI) \
	-Wl,-rpath,$(LIBDIR)

ebtables-restore.o: ebtables-restore.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(PROGSPECS) -c $< -o $@  -I$(KERNEL_INCLUDES)

ebtables-restore: $(OBJECTS) ebtables-restore.o libebtc
	$(CC) $(CFLAGS) -o $@ ebtables-restore.o -I$(KERNEL_INCLUDES) -L. -Lextensions -lebtc $(EXT_LIBSI) \
	-Wl,-rpath,$(LIBDIR)

.PHONY: daemon
daemon: ebtablesd ebtablesu

# a little scripting for a static binary, making one for ebtables-restore
# should be completely analogous
static: extensions/ebt_*.c extensions/ebtable_*.c ebtables.c communication.c ebtables-standalone.c getethertype.c libebtc.c useful_functions.c
	cp ebtables-standalone.c ebtables-standalone.c_ ; \
	cp include/ebtables_u.h include/ebtables_u.h_ ; \
	sed "s/ main(/ pseudomain(/" ebtables-standalone.c > ebtables-standalone.c__ ; \
	mv ebtables-standalone.c__ ebtables-standalone.c ; \
	printf "\nint main(int argc, char *argv[])\n{\n "  >> ebtables-standalone.c ; \
	for arg in $(EXT_FUNC) \
	; do \
	sed s/_init/_$${arg}_init/ extensions/ebt_$${arg}.c > extensions/ebt_$${arg}.c_ ; \
	mv extensions/ebt_$${arg}.c_ extensions/ebt_$${arg}.c ; \
	printf "\t%s();\n" _$${arg}_init >> ebtables-standalone.c ; \
	printf "extern void %s();\n" _$${arg}_init >> include/ebtables_u.h ; \
	done ; \
	for arg in $(EXT_TABLES) \
	; do \
	sed s/_init/_t_$${arg}_init/ extensions/ebtable_$${arg}.c > extensions/ebtable_$${arg}.c_ ; \
	mv extensions/ebtable_$${arg}.c_ extensions/ebtable_$${arg}.c ; \
	printf "\t%s();\n" _t_$${arg}_init >> ebtables-standalone.c ; \
	printf "extern void %s();\n" _t_$${arg}_init >> include/ebtables_u.h ; \
	done ; \
	printf "\n\tpseudomain(argc, argv);\n\treturn 0;\n}\n" >> ebtables-standalone.c ;\
	$(CC) $(CFLAGS) $(PROGSPECS) -o $@ $^ -I$(KERNEL_INCLUDES) -Iinclude ; \
	for arg in $(EXT_FUNC) \
	; do \
	sed "s/ .*_init/ _init/" extensions/ebt_$${arg}.c > extensions/ebt_$${arg}.c_ ; \
	mv extensions/ebt_$${arg}.c_ extensions/ebt_$${arg}.c ; \
	done ; \
	for arg in $(EXT_TABLES) \
	; do \
	sed "s/ .*_init/ _init/" extensions/ebtable_$${arg}.c > extensions/ebtable_$${arg}.c_ ; \
	mv extensions/ebtable_$${arg}.c_ extensions/ebtable_$${arg}.c ; \
	done ; \
	mv ebtables-standalone.c_ ebtables-standalone.c ; \
	mv include/ebtables_u.h_ include/ebtables_u.h

tmp1:=$(shell printf $(BINDIR) | sed 's/\//\\\//g')
tmp2:=$(shell printf $(SYSCONFIGDIR) | sed 's/\//\\\//g')
tmp3:=$(shell printf $(PIPE) | sed 's/\//\\\//g')
.PHONY: scripts
scripts: ebtables-save ebtables.sysv ebtables-config
	cat ebtables-save | sed 's/__EXEC_PATH__/$(tmp1)/g' > ebtables-save_
	install -m 0755 -o root -g root ebtables-save_ $(BINDIR)/ebtables-save
	cat ebtables.sysv | sed 's/__EXEC_PATH__/$(tmp1)/g' | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables.sysv_
	install -m 0755 -o root -g root ebtables.sysv_ $(INITDIR)/ebtables
	cat ebtables-config | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables-config_
	install -m 0600 -o root -g root ebtables-config_ $(SYSCONFIGDIR)/ebtables-config
	rm -f ebtables-save_ ebtables.sysv_ ebtables-config_

$(MANDIR)/man8/ebtables.8: ebtables.8
	mkdir -p $(@D)
	sed 's/$$(VERSION)/$(PROGVERSION)/' ebtables.8 | sed 's/$$(DATE)/$(PROGDATE)/' > ebtables.8_
	install -m 0644 -o root -g root ebtables.8_ $@
	rm -f ebtables.8_

$(ETHERTYPESFILE): ethertypes
	mkdir -p $(@D)
	install -m 0644 -o root -g root $< $@

.PHONY: exec
exec: ebtables ebtables-restore
	mkdir -p $(BINDIR)
	install -m 0755 -o root -g root $(PROGNAME) $(BINDIR)/$(PROGNAME)
	install -m 0755 -o root -g root ebtables-restore $(BINDIR)/ebtables-restore

.PHONY: install
install: $(MANDIR)/man8/ebtables.8 $(ETHERTYPESFILE) exec scripts
	mkdir -p $(LIBDIR)
	install -m 0755 extensions/*.so $(LIBDIR)
	install -m 0755 *.so $(LIBDIR)

.PHONY: clean
clean:
	rm -f ebtables ebtables-restore ebtablesd ebtablesu static
	rm -f *.o *~ *.so
	rm -f extensions/*.o extensions/*.c~ extensions/*.so include/*~

DIR:=$(PROGNAME)-v$(PROGVERSION)
CVSDIRS:=CVS extensions/CVS examples/CVS examples/perf_test/CVS \
examples/ulog/CVS include/CVS
# This is used to make a new userspace release, some files are altered so
# do this on a temporary version
.PHONY: release
release:
	rm -f extensions/ebt_inat.c
	rm -rf $(CVSDIRS)
	mkdir -p include/linux/netfilter_bridge
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge.h include/linux/
# To keep possible compile error complaints about undefined ETH_P_8021Q
# off my back
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/if_ether.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/types.h include/linux/
	install -m 0644 -o root -g root \
		$(KERNEL_INCLUDES)/linux/netfilter_bridge/*.h \
		include/linux/netfilter_bridge/
	install -m 0644 -o root -g root \
		include/ebtables.h include/linux/netfilter_bridge/
	make clean
	touch *
	touch extensions/*
	touch include/*
	touch include/linux/*
	touch include/linux/netfilter_bridge/*
	sed -i 's/$$(VERSION)/$(PROGVERSION)/' ebtables.8
	sed -i 's/$$(DATE)/$(PROGDATE)/' ebtables.8
	sed -i 's/$$(VERSION)/$(PROGVERSION_)/' ebtables.spec
	sed -i 's/$$(RELEASE)/$(PROGRELEASE)/' ebtables.spec
	cd ..;tar -c $(DIR) | gzip >$(DIR).tar.gz; cd -
	rm -rf include/linux

# This will make the rpm and put it in /usr/src/redhat/RPMS
# (do this as root after make release)
.PHONY: rpmbuild
rpmbuild:
	cp ../$(DIR).tar.gz /usr/src/redhat/SOURCES/
	rpmbuild --buildroot $(shell mktemp -td $(DIR)-XXXXX) -bb ebtables.spec

.PHONY: test_ulog
test_ulog: examples/ulog/test_ulog.c getethertype.o
	$(CC) $(CFLAGS)  $< -o test_ulog -I$(KERNEL_INCLUDES) -lc \
	getethertype.o
	mv test_ulog examples/ulog/

.PHONY: examples
examples: test_ulog

## ebtables 2.0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ebtables Makefile
 
 PROGNAME:=ebtables
-PROGRELEASE:=1
+PROGRELEASE:=2
 PROGVERSION_:=2.0.8
 PROGVERSION:=$(PROGVERSION_)-$(PROGRELEASE)
 PROGDATE:=May\ 2007
@@ -15,15 +15,6 @@
 SYSCONFIGDIR:=/etc/sysconfig
 DESTDIR:=
 
-# include DESTDIR param
-override LIBDIR:=$(DESTDIR)$(LIBDIR)/$(PROGNAME)
-override MANDIR:=$(DESTDIR)$(MANDIR)
-override BINDIR:=$(DESTDIR)$(BINDIR)
-override ETCDIR:=$(DESTDIR)$(ETCDIR)
-override INITDIR:=$(DESTDIR)$(INITDIR)
-override SYSCONFIGDIR:=$(DESTDIR)$(SYSCONFIGDIR)
-
-
 CFLAGS:=-Wall -Wunused
 CFLAGS_SH_LIB:=-fPIC
 CC:=gcc
@@ -45,7 +36,7 @@
 ETHERTYPESPATH?=$(ETCDIR)
 ETHERTYPESFILE:=$(ETHERTYPESPATH)/ethertypes
 
-PIPE_DIR?=$(DESTDIR)/tmp/$(PROGNAME)-v$(PROGVERSION)
+PIPE_DIR?=/tmp/$(PROGNAME)-v$(PROGVERSION)
 PIPE=$(PIPE_DIR)/ebtablesd_pipe
 EBTD_CMDLINE_MAXLN?=2048
 EBTD_ARGC_MAX?=50
@@ -87,10 +78,10 @@
 	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -Iinclude/
 
 ebtables.o: ebtables.c include/ebtables_u.h
-	$(CC) $(CFLAGS) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)
+	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)
 
 ebtables-standalone.o: ebtables-standalone.c include/ebtables_u.h
-	$(CC) $(CFLAGS) $(PROGSPECS) -c $< -o $@ -I$(KERNEL_INCLUDES)
+	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c $< -o $@ -I$(KERNEL_INCLUDES)
 
 .PHONY: libebtc
 libebtc: $(OBJECTS2)
@@ -163,34 +154,34 @@
 .PHONY: scripts
 scripts: ebtables-save ebtables.sysv ebtables-config
 	cat ebtables-save | sed 's/__EXEC_PATH__/$(tmp1)/g' > ebtables-save_
-	install -m 0755 -o root -g root ebtables-save_ $(BINDIR)/ebtables-save
+	install -m 0755 -o root -g root ebtables-save_ $(DESTDIR)$(BINDIR)/ebtables-save
 	cat ebtables.sysv | sed 's/__EXEC_PATH__/$(tmp1)/g' | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables.sysv_
-	install -m 0755 -o root -g root ebtables.sysv_ $(INITDIR)/ebtables
+	install -m 0755 -o root -g root ebtables.sysv_ $(DESTDIR)$(INITDIR)/ebtables
 	cat ebtables-config | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables-config_
-	install -m 0600 -o root -g root ebtables-config_ $(SYSCONFIGDIR)/ebtables-config
+	install -m 0600 -o root -g root ebtables-config_ $(DESTDIR)$(SYSCONFIGDIR)/ebtables-config
 	rm -f ebtables-save_ ebtables.sysv_ ebtables-config_
 
 $(MANDIR)/man8/ebtables.8: ebtables.8
-	mkdir -p $(@D)
+	mkdir -p $(DESTDIR)$(@D)
 	sed 's/$$(VERSION)/$(PROGVERSION)/' ebtables.8 | sed 's/$$(DATE)/$(PROGDATE)/' > ebtables.8_
-	install -m 0644 -o root -g root ebtables.8_ $@
+	install -m 0644 -o root -g root ebtables.8_ $(DESTDIR)$@
 	rm -f ebtables.8_
 
 $(ETHERTYPESFILE): ethertypes
-	mkdir -p $(@D)
-	install -m 0644 -o root -g root $< $@
+	mkdir -p $(DESTDIR)$(@D)
+	install -m 0644 -o root -g root $< $(DESTDIR)$@
 
 .PHONY: exec
 exec: ebtables ebtables-restore
-	mkdir -p $(BINDIR)
-	install -m 0755 -o root -g root $(PROGNAME) $(BINDIR)/$(PROGNAME)
-	install -m 0755 -o root -g root ebtables-restore $(BINDIR)/ebtables-restore
+	mkdir -p $(DESTDIR)$(BINDIR)
+	install -m 0755 -o root -g root $(PROGNAME) $(DESTDIR)$(BINDIR)/$(PROGNAME)
+	install -m 0755 -o root -g root ebtables-restore $(DESTDIR)$(BINDIR)/ebtables-restore
 
 .PHONY: install
 install: $(MANDIR)/man8/ebtables.8 $(ETHERTYPESFILE) exec scripts
-	mkdir -p $(LIBDIR)
-	install -m 0755 extensions/*.so $(LIBDIR)
-	install -m 0755 *.so $(LIBDIR)
+	mkdir -p $(DESTDIR)$(LIBDIR)
+	install -m 0755 extensions/*.so $(DESTDIR)$(LIBDIR)
+	install -m 0755 *.so $(DESTDIR)$(LIBDIR)
 
 .PHONY: clean
 clean:

=== extensions/Makefile ===
#! /usr/bin/make

EXT_FUNC+=802_3 nat arp arpreply ip standard log redirect vlan mark_m mark \
          pkttype stp among limit ulog
EXT_TABLES+=filter nat broute
EXT_OBJS+=$(foreach T,$(EXT_FUNC), extensions/ebt_$(T).o)
EXT_OBJS+=$(foreach T,$(EXT_TABLES), extensions/ebtable_$(T).o)
EXT_LIBS+=$(foreach T,$(EXT_FUNC), extensions/libebt_$(T).so)
EXT_LIBS+=$(foreach T,$(EXT_TABLES), extensions/libebtable_$(T).so)
EXT_LIBSI+=$(foreach T,$(EXT_FUNC), -lebt_$(T))
EXT_LIBSI+=$(foreach T,$(EXT_TABLES), -lebtable_$(T))

extensions/ebt_%.so: extensions/ebt_%.o
	$(CC) -shared -o $@ -lc $< -nostartfiles

extensions/libebt_%.so: extensions/ebt_%.so
	mv $< $@

extensions/ebtable_%.so: extensions/ebtable_%.o
	$(CC) -shared -o $@ -lc $< -nostartfiles

extensions/libebtable_%.so: extensions/ebtable_%.so
	mv $< $@

extensions/ebt_%.o: extensions/ebt_%.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

extensions/ebtable_%.o: extensions/ebtable_%.c
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

## ebtables 2.0.9.1

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # ebtables Makefile
 
 PROGNAME:=ebtables
-PROGRELEASE:=2
-PROGVERSION_:=2.0.8
+PROGRELEASE:=1
+PROGVERSION_:=2.0.9
 PROGVERSION:=$(PROGVERSION_)-$(PROGRELEASE)
-PROGDATE:=May\ 2007
+PROGDATE:=June\ 2009
 
 # default paths
 LIBDIR:=/usr/lib

## ebtables 2.0.9.2

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ebtables Makefile
 
 PROGNAME:=ebtables
-PROGRELEASE:=1
+PROGRELEASE:=2
 PROGVERSION_:=2.0.9
 PROGVERSION:=$(PROGVERSION_)-$(PROGRELEASE)
 PROGDATE:=June\ 2009
@@ -85,7 +85,7 @@
 
 .PHONY: libebtc
 libebtc: $(OBJECTS2)
-	$(LD) -shared -soname libebtc.so -o libebtc.so -lc $(OBJECTS2)
+	$(CC) -shared -Wl,-soname,libebtc.so -o libebtc.so -lc $(OBJECTS2)
 
 ebtables: $(OBJECTS) ebtables-standalone.o libebtc
 	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) -o $@ ebtables-standalone.o -I$(KERNEL_INCLUDES) -L. -Lextensions -lebtc $(EXT_LIBSI) \

=== extensions/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! /usr/bin/make
 
-EXT_FUNC+=802_3 nat arp arpreply ip standard log redirect vlan mark_m mark \
-          pkttype stp among limit ulog
+EXT_FUNC+=802_3 nat arp arpreply ip ip6 standard log redirect vlan mark_m mark \
+          pkttype stp among limit ulog nflog
 EXT_TABLES+=filter nat broute
 EXT_OBJS+=$(foreach T,$(EXT_FUNC), extensions/ebt_$(T).o)
 EXT_OBJS+=$(foreach T,$(EXT_TABLES), extensions/ebtable_$(T).o)

=== debian/changelog ===
ebtables (2.0.9.2-2) unstable; urgency=low

  * Add a lintian override concerning the usage of -rpath that got lost
    in the last revision.

 -- Jochen Friedrich <jochen@scram.de>  Mon, 10 May 2010 14:08:01 +0200

ebtables (2.0.9.2-1) unstable; urgency=low

  * New upstream release
  * Refresh patches
  * Switch to dpkg-source 3.0 (quilt) format
  * Bump Standards version to 3.8.4
  * Added homepage tag

 -- Jochen Friedrich <jochen@scram.de>  Fri, 07 May 2010 16:50:04 +0200

ebtables (2.0.9.1-1) unstable; urgency=low

  * New upstream release:
    * New modules for ip6 and nflog.
  * Bump Standards version to 3.8.2:
    * Catch postrm errors.
    * Specify GPL version and cleanup copyright file.
  * Bump debhelper level to 7.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 28 Jun 2009 20:01:25 +0200

ebtables (2.0.8.2-4) unstable; urgency=low

  * Don't have the initscript probe for kernel support if it is not going
    to actually do something. Thanks to Patrick McHardy for report and patch!
    Closes: #476429.
  * While I'm at it, make a few minor (unrelated) improvements to the
    initscript.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 20 Apr 2008 00:56:39 +0200

ebtables (2.0.8.2-3) unstable; urgency=low

  * Fix NAME section in ebtables(8) manpage.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Fri, 11 Apr 2008 01:48:33 +0200

ebtables (2.0.8.2-2) unstable; urgency=low

  * Replace call to $(LD) with $(CC) to fix FTBFS on hppa.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 04 Nov 2007 14:38:12 +0100

ebtables (2.0.8.2-1) unstable; urgency=low

  * New upstream release.
  * Replace dpatches 10-12 with new 02makefile_adjustments
    as upstream has incorporated most of our changes.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sun, 23 Sep 2007 15:28:36 +0200

ebtables (2.0.8.1-2) unstable; urgency=low

  * Thoroughly clean up the installation logic of upstream's
    Makefile. Closes: #431345.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Mon, 02 Jul 2007 23:05:34 +0200

ebtables (2.0.8.1-1) unstable; urgency=low

  * New upstream release. Closes: #428924, #403674.
    (428924: FTBFS with linux-libc-dev)
    (403674: wishlist bug: new upstream available)
  * Bump Standards version to 3.7.2.
  * Replace debhelper+cdbs with debhelper+dpatch (personal
    preference).
  * Write a debian-specific initscript. The upstream one is
    too closely tied to redhat.
  * Add a lintian override concerning the usage of -rpath for the
    time being, as fixing this will require invasive upstream
    code changes.
  * Fix watch file.
  * Add myself as uploader.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Sat, 23 Jun 2007 22:54:05 +0200

ebtables (2.0.6-3) unstable; urgency=low

  * Applied patch from Andreas Jochens <aj@andaco.de> to make
    ebtables compile with gcc-4.0 (Closes: #288975).

 -- Jochen Friedrich <jochen@scram.de>  Sat, 29 Jan 2005 22:55:59 +0100

ebtables (2.0.6-2) unstable; urgency=low

  * Fix FTBFS with gcc-3.4 (Closes: #258636).
    Thanks to Andreas Jochens <aj@andaco.de> for the patch.

 -- Jochen Friedrich <jochen@scram.de>  Wed, 14 Jul 2004 17:21:49 +0200

ebtables (2.0.6-1) unstable; urgency=low

  * New upstream release
    + <grzes_at_gnu.univ.gda.pl> added arpreply and among modules
    + <tommy_at_home.tig-grr.com> added limit match

 -- Jochen Friedrich <jochen@scram.de>  Fri,  2 Jan 2004 22:29:45 +0100

ebtables (2.0.5-2) unstable; urgency=low

  * The "I should really check what i upload" revision
  * New maintainer (Closes: #211788)
  * Changed build system to cdbs
  * Bumped policy to 3.6.1
  * New upstream homepage
  * Removed conffiles, files in /etc are automatically flagged as
    conffiles in compat level 4 used by cdbs

 -- Jochen Friedrich <jochen@scram.de>  Mon, 29 Sep 2003 19:46:31 +0200

ebtables (2.0.5-1) unstable; urgency=low

  * New upstream release

 -- Jochen Friedrich <jochen@scram.de>  Thu, 25 Sep 2003 23:29:34 +0200

ebtables (2.0.3-1) unstable; urgency=low

  * New upstream release.

 -- David Kimdon <dwhedon@debian.org>  Fri, 23 May 2003 22:00:36 -0700

ebtables (2.0.2-1) unstable; urgency=low

  * Initial Release.

 -- David Kimdon <dwhedon@debian.org>  Fri, 17 Jan 2003 20:05:00 -0800

=== debian/control ===
Source: ebtables
Section: net
Priority: optional
Maintainer: Jochen Friedrich <jochen@scram.de>
Uploaders: Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7)
Homepage: http://ebtables.sourceforge.net

Package: ebtables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iptables
Description: Ethernet bridge frame table administration
 Ebtables is used to set up, maintain, and inspect the tables of 
 Ethernet frame rules in the Linux kernel. It is analogous to iptables, 
 but operates at the MAC layer rather than the IP layer.

=== debian/rules ===
#!/usr/bin/make -f
# Debian rules file for ebtables.
# Created by Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>,
# based on the debhelper templates.

MAKE_PATH_REDIRECTIONS:=LIBDIR=/lib/ebtables \
			BINDIR=/sbin \
			DESTDIR=debian/ebtables

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  DEBCFLAGS+=-O0
else
  DEBCFLAGS+=-O2
endif

build: build-stamp
build-stamp:
	dh_testdir
	make CFLAGS="$(DEBCFLAGS)" $(MAKE_PATH_REDIRECTIONS)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp
	make clean
	rm -f ebtables.8_ ebtables.sysv_ ebtables-config_ ebtables-save_
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make install $(MAKE_PATH_REDIRECTIONS)
	rm -f debian/ebtables/sbin/ebtables-save debian/ebtables/sbin/ebtables-restore
	mv debian/ebtables/etc/default/ebtables-config debian/ebtables/etc/default/ebtables
	rm -f debian/ebtables/etc/init.d/ebtables
	mkdir -p debian/ebtables/usr/share/lintian/overrides
	cp debian/ebtables.override debian/ebtables/usr/share/lintian/overrides/ebtables

binary: binary-indep binary-arch
binary-indep: build install
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs ChangeLog
	dh_installinit -r -- start 30 S . stop 70 0 6 .
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	# Ignore warnings on /lib/ebtables libraries - they don't bear SONAMEs
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build clean binary-indep binary-arch binary install

## ebtables 2.0.10.4

=== extensions/Makefile ===
--- 
+++ 
@@ -11,13 +11,13 @@
 EXT_LIBSI+=$(foreach T,$(EXT_TABLES), -lebtable_$(T))
 
 extensions/ebt_%.so: extensions/ebt_%.o
-	$(CC) -shared -o $@ -lc $< -nostartfiles
+	$(CC) $(LDFLAGS) -shared -o $@ -lc $< -nostartfiles
 
 extensions/libebt_%.so: extensions/ebt_%.so
 	mv $< $@
 
 extensions/ebtable_%.so: extensions/ebtable_%.o
-	$(CC) -shared -o $@ -lc $< -nostartfiles
+	$(CC) $(LDFLAGS) -shared -o $@ -lc $< -nostartfiles
 
 extensions/libebtable_%.so: extensions/ebtable_%.so
 	mv $< $@

=== debian/changelog ===
ebtables (2.0.10.4-3ubuntu1.14.04.2) trusty; urgency=medium

  * Fix check of fcntl errno value, to allow lockfile contention to work.
    (LP: #1772456)

 -- Dan Streetman <ddstreet@canonical.com>  Mon, 21 May 2018 13:20:15 -0400

ebtables (2.0.10.4-3ubuntu1.14.04.1) trusty; urgency=medium

  * Use real locking in ebtables (LP: #1645324)
    - Prior use of locking by file exclusive access is inadequate
      because if ebtables crashes or is killed it will leave a
      stale lock file behind which then blocks new ebtables from
      running.

 -- Dragan Stancevic <dragan.stancevic@canonical.com>  Thu, 02 Mar 2017 17:34:55 -0600

ebtables (2.0.10.4-3ubuntu1) trusty; urgency=low

  * Merge with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Iain Lane <iain.lane@canonical.com>  Fri, 22 Nov 2013 11:42:46 +0000

ebtables (2.0.10.4-3) unstable; urgency=low

  * packaging update:
    - fix missing dot in DEB_DH_INSTALLINIT_ARGS (Closes: #706885)

 -- William Dauchy <wdauchy@gmail.com>  Mon, 06 May 2013 14:06:02 +0000

ebtables (2.0.10.4-2ubuntu2) saucy; urgency=low

  * Add trailing "." to update-rc.d arguments (LP: #1176436) 

 -- Iain Lane <iain.lane@canonical.com>  Sun, 05 May 2013 20:14:40 +0100

ebtables (2.0.10.4-2ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 04 May 2013 11:06:40 -0700

ebtables (2.0.10.4-2) unstable; urgency=low

  * packaging update:
    - add install init args in rules to fix install warning (Closes: #697275)
    - module-init-tools is a transitional package. replacing it with kmod
    (Closes: #697276)
    - "init script returns 1 when ebtables is removed" (Closes: #684592)

 -- William Dauchy <wdauchy@gmail.com>  Tue, 20 Mar 2013 15:46:02 +0000

ebtables (2.0.10.4-1ubuntu1) raring; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Link ebtables with --no-as-needed and adjust the link order to fix
      crash when running ebtables.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Nov 2012 17:42:18 +0000

ebtables (2.0.10.4-1) unstable; urgency=low

  * New upstream release
    - "v2.0.10-1 wish for ipv6-icmp and security" (Closes: #643594).
  * packaging update:
    * use debhelper & compat version 9.
    * standards to 3.9.3
    - "ebtables may use modprobe, so it should recommend module-init-tools"
      (Closes: #614919)
    * missing cdbs build dependency
    * add hardening to debian rules.
    * init: add run level 1 to Default-Stop rule
  * patchworks:
    + refresh patches with new release
    + refresh patch headers
  * Adding myself as uploaders
  * Removing Jan Christoph Nordholz from uploaders

 -- William Dauchy <wdauchy@gmail.com>  Thu, 24 May 2012 12:24:02 +0000

ebtables (2.0.9.2-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix FTBFS due to missing __aligned_u64 definition (Closes: #661449):
    - 04compensate-for-missing-aligned-u64.patch
  * Set urgency to “high” for RC bug fix.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 03 Mar 2012 15:24:02 +0000

ebtables (2.0.9.2-2ubuntu3) quantal; urgency=low

  * Rebuild for new armel compiler default of ARMv5t.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Oct 2012 21:01:35 +0100

ebtables (2.0.9.2-2ubuntu2) precise; urgency=low

  * Add patch 05link_with_no-as-needed.patch to link ebtables with
    --no-as-needed and adjust the link order to fix crash when running
    ebtables (LP: #899315)
  * debian/rules: add -g option to DEBCFLAGS, so symbols can be extracted
    into an ebtables-dbgsym package

 -- Albert Damen <albrt@gmx.net>  Sun, 04 Dec 2011 21:19:58 +0100

ebtables (2.0.9.2-2ubuntu1) precise; urgency=low

  * Add 04define__aligned_u64.patch to define __aligned_u64
    before including linux/if_packet.h, resolving FTBFS.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Dec 2011 00:25:41 -0700

=== debian/control ===
Source: ebtables
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jochen Friedrich <jochen@scram.de>
Uploaders: William Dauchy <wdauchy@gmail.com>
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), cdbs, hardening-wrapper
Homepage: http://ebtables.sourceforge.net

Package: ebtables
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iptables, kmod
Description: Ethernet bridge frame table administration
 Ebtables is used to set up, maintain, and inspect the tables of 
 Ethernet frame rules in the Linux kernel. It is analogous to iptables, 
 but operates at the MAC layer rather than the IP layer.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING = 1
MAKE_PATH_REDIRECTIONS:=LIBDIR=/lib/ebtables \
			BINDIR=/sbin \
			DESTDIR=debian/ebtables

include /usr/share/cdbs/1/rules/debhelper.mk

CFLAGS+=$(HARDENING_CFLAGS) -fstack-protector-all
LDFLAGS+=$(HARDENING_LDFLAGS)

DEB_DH_INSTALLINIT_ARGS:=-- start 20 S . stop 80 0 1 6 .

build/ebtables::
	make CFLAGS="$(CFLAGS)" $(MAKE_PATH_REDIRECTIONS)

clean::
	dh_testdir
	rm -f build-stamp
	make clean
	rm -f ebtables.8_ ebtables.sysv_ ebtables-config_ ebtables-save_
	dh_clean

install/ebtables:: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make install $(MAKE_PATH_REDIRECTIONS)
	rm -f debian/ebtables/sbin/ebtables-save debian/ebtables/sbin/ebtables-restore
	mv debian/ebtables/etc/default/ebtables-config debian/ebtables/etc/default/ebtables
	rm -f debian/ebtables/etc/init.d/ebtables
	mkdir -p debian/ebtables/usr/share/lintian/overrides
	cp debian/ebtables.override debian/ebtables/usr/share/lintian/overrides/ebtables

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./g" http://sf.net/ebtables/ebtables-v([[:digit:].-]*)\.tar\.gz

## ebtables 2.0.10.4+snapshot20181205

=== Makefile ===
#! /usr/bin/make

EXT_FUNC+=802_3 nat arp arpreply ip ip6 standard log redirect vlan mark_m mark \
          pkttype stp among limit ulog nflog string
EXT_TABLES+=filter nat broute
EXT_OBJS+=$(foreach T,$(EXT_FUNC), extensions/ebt_$(T).o)
EXT_OBJS+=$(foreach T,$(EXT_TABLES), extensions/ebtable_$(T).o)
EXT_LIBS+=$(foreach T,$(EXT_FUNC), extensions/libebt_$(T).so)
EXT_LIBS+=$(foreach T,$(EXT_TABLES), extensions/libebtable_$(T).so)
EXT_LIBSI+=$(foreach T,$(EXT_FUNC), -lebt_$(T))
EXT_LIBSI+=$(foreach T,$(EXT_TABLES), -lebtable_$(T))

extensions/ebt_%.so: extensions/ebt_%.o
	$(CC) $(LDFLAGS) -shared -o $@ -lc $<

extensions/libebt_%.so: extensions/ebt_%.so
	mv $< $@

extensions/ebtable_%.so: extensions/ebtable_%.o
	$(CC) $(LDFLAGS) -shared -o $@ -lc $<

extensions/libebtable_%.so: extensions/ebtable_%.so
	mv $< $@

extensions/ebt_%.o: extensions/ebt_%.c include/ebtables_u.h
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

extensions/ebtable_%.o: extensions/ebtable_%.c
	$(CC) $(CFLAGS) $(CFLAGS_SH_LIB) $(PROGSPECS) -c -o $@ $< -I$(KERNEL_INCLUDES)

=== debian/changelog ===
ebtables (2.0.10.4+snapshot20181205-3) unstable; urgency=medium

  [ Arturo Borrero Gonzalez ]
  * [9b474c7] src:ebtables: add salsa CI integration

  [ Alberto Molina Coballes ]
  * [5dbd22d] Remove /sbin symlinks on not usr-merged systems (Closes: #926728)

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Mon, 15 Apr 2019 18:23:43 +0000

ebtables (2.0.10.4+snapshot20181205-2) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [d0a79d0] d/rules: include build architecture compiler (Closes: #848948)
  * [322fbda] Revert "d/rules: include build architecture compiler"
  * [25138b7] d/ebtables.prerm: iptables verification deleted (Closes: #919583)
  * [22208c6] d/control: Mark ebtables as 'Multi-Arch: foreign'
    (Closes: #918787)
  * [b739b36] d/ebtables-{save,restore}.8 renamed

  [ Arturo Borrero Gonzalez ]
  * [a9cfc27] d/rules: make build verbose
  * [5e3d23f] d/stamp-autotools-files: delete file

  [ Alberto Molina Coballes ]
  * [7a58bd0] ebtables: System V init script removed (Closes: #918678)
  * [9d015e9] ebtables: remove, disable and purge systemvinit script and
    systemd service
  * [1292475] d/README.Debian: add explanation about nftables migration
  * [de05c5e] d/patches: minor update
  * [b4d4f1e] d/control: bump std-version to 4.3.0

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Sat, 02 Feb 2019 19:31:28 +0000

ebtables (2.0.10.4+snapshot20181205-1) unstable; urgency=medium

  * [6222d5e] New upstream version 2.0.10.4+snapshot20181205
  * [e8625b3] Adapt debian patches to the latest upstream version
  * [02842b0] ebtables: introduce /sbin compatibility symlinks
  * [1927aad] ebtables: introduce alternatives for /usr/sbin/ebtables
    (Closes: #912046)
  * [b649957] d/patches ebtables libraries in a specific directory

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Tue, 01 Jan 2019 12:21:45 +0000

ebtables (2.0.10.4-5) unstable; urgency=medium

  * [3681e23] d/patches: Add dpkg-buildflags
  * [2663aba] d/patches: Modify makefile allowing parallel build
    (Closes: #897592)
  * [e30fe91] manpages: Add ebtables-save.8 and ebtables-restore.8

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Wed, 09 May 2018 15:58:13 +0000

ebtables (2.0.10.4-4) unstable; urgency=medium

  [ Alberto Molina Coballes ]
  * [bf201c6] d/control: Updating maintainers and adding uploaders
    (Closes: #891769)
  * [0f4ede2] d/control: Updating Standards-Version to 4.1.3
  * [3ce5061] d/control: Adding VCS-* headers
  * [481b022] d/control: Updating homepage
  * [16740e9] d/watch: Updating url
  * [6d94fde] d/control: Updating debhelper to 11
  * [ea71db8] d/compat: Updating to 11
  * [a80dc56] d/copyright: Updating according to DEP-5

  [ Arturo Borrero Gonzalez ]
  * [1b1ac15] d/rules: use debhelper rather than cdbs
  * [dd20bc3] d/patches: add compilation_warning.patch

  [ Alberto Molina Coballes ]
  * [1aa6f5d] d/patches: set LIBDIR to /lib/ebtables
  * [01096e7] d/control: delete dh-systemd (>= 1.5) as build-dependence
  * [9232eca] d/patches: add -g to produce debugging information

 -- Alberto Molina Coballes <alb.molina@gmail.com>  Thu, 26 Apr 2018 09:12:22 +0000

ebtables (2.0.10.4-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add native systemd unit file ebtables.service (Closes: #796602)
    - this is basically just a wrapper around the init script.
  * Add dh-systemd (>= 1.5) build dependency for the above.
    - accompanying cdbs versioned dependency was already new enough.

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 25 May 2016 20:34:14 +0200

ebtables (2.0.10.4-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/ebtables.postinst: Check if /var/lib/ebtables exists before trying
    to delete it (Closes: #813889)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 07 Feb 2016 21:46:31 +0100

ebtables (2.0.10.4-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch the postrm script from /bin/bash to /bin/sh

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 13:53:20 +0100

ebtables (2.0.10.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/lockdirfix.patch: Move the lock file to /run instead of
    /var/lib/ebtables directory (Closes: #813760)
  * debian/ebtables.postinst: Remove /var/lib/ebtables during upgrade, that
    directory was created by ebtables but not tracked by the package.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 13:29:39 +0100

ebtables (2.0.10.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use arch:linux-any instead of arch:any (Closes: #745165)
  * Ship ebtables-restore and ebtables-save during build (Closes: #813752)
  * Bump Standards-Version to 3.9.6 (no further changes)
  * Drop obsolete hardening-wrapper and use dpkg-buildflags instead. Also pass
    all the *FLAGS to the Makefile so we are sure they are used.
  * Drop debian/ebtables.override: All the overrides are not needed anymore.

 -- Laurent Bigonville <bigon@debian.org>  Fri, 05 Feb 2016 02:11:19 +0100

=== debian/control ===
Source: ebtables
Section: net
Priority: optional
Maintainer: Debian Netfilter Packaging Team <pkg-netfilter-team@lists.alioth.debian.org>
Uploaders: Alberto Molina Coballes <alb.molina@gmail.com>
Standards-Version: 4.3.0
Build-Depends: debhelper (>= 11)
Homepage: https://netfilter.org/
Vcs-Git: https://salsa.debian.org/pkg-netfilter-team/pkg-ebtables.git
Vcs-Browser: https://salsa.debian.org/pkg-netfilter-team/pkg-ebtables.git

Package: ebtables
Architecture: linux-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: iptables, kmod
Description: Ethernet bridge frame table administration
 Ebtables is used to set up, maintain, and inspect the tables of
 Ethernet frame rules in the Linux kernel. It is analogous to iptables,
 but operates at the MAC layer rather than the IP layer.

=== debian/watch ===
version=3
http://ftp.netfilter.org/pub/ebtables/ebtables-v(\S+).tar.gz
